-------------------------------------------------
--SEQNCIA I TRIGGER PER COD_LOG DE LA TAULA LOG
-------------------------------------------------

CREATE SEQUENCE SEQ_COD_LOG INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER INS_LOG_COD_LOG
 BEFORE INSERT ON LOG
 FOR EACH ROW
BEGIN
 SELECT SEQ_COD_LOG.NEXTVAL INTO :NEW.COD_LOG
 FROM DUAL;
END INS_LOG_COD_LOG;
/

-------------------------------------------------------
--SEQNCIA I TRIGGER PER COD_CLIENT DE LA TAULA CLIENT
-------------------------------------------------------


CREATE SEQUENCE SEQ_COD_CLIENT INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER INS_CLIENT_COD_CLIENT
 BEFORE INSERT ON CLIENT
 FOR EACH ROW
BEGIN
 SELECT SEQ_COD_CLIENT.NEXTVAL INTO :NEW.COD_CLIENT
 FROM DUAL;
END INS_CLIENT_COD_CLIENT;
/

---------------------------------------------------------------
--SEQNCIA I TRIGGER PER COD_MODEL DE LA TAULA MODEL COMPTADOR
---------------------------------------------------------------


CREATE SEQUENCE SEQ_COD_MODEL INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER INS_MOD_COMP_SEQ_COD_MODEL
 BEFORE INSERT ON MODEL_COMPTADOR
 FOR EACH ROW
BEGIN
 SELECT SEQ_COD_MODEL.NEXTVAL INTO :NEW.COD_MODEL
 FROM DUAL;
END INS_MOD_COMP_SEQ_COD_MODEL;
/

-------------------------------------------------------------
--SEQNCIA I TRIGGER PER COD_COMPTADOR DE LA TAULA COMPTADOR
-------------------------------------------------------------


CREATE SEQUENCE SEQ_COD_COMPTADOR INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER INS_COD_COMP_SEQ_COD_COMPTADOR
 BEFORE INSERT ON COMPTADOR
 FOR EACH ROW
BEGIN
 SELECT SEQ_COD_COMPTADOR.NEXTVAL INTO :NEW.COD_COMPTADOR
 FROM DUAL;
END INS_COD_COMP_SEQ_COD_COMPTADOR;
/

-------------------------------------------------------------
--SEQNCIA I TRIGGER PER COD_CONTRACTE DE LA TAULA CONTRACTE
-------------------------------------------------------------

CREATE SEQUENCE SEQ_COD_CONTRACTE INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER INS_COD_CNTR_SEQ_COD_CONTRACTE
 BEFORE INSERT ON CONTRACTE
 FOR EACH ROW
BEGIN
 SELECT SEQ_COD_CONTRACTE.NEXTVAL INTO :NEW.COD_CONTRACTE
 FROM DUAL;
END INS_COD_CNTR_SEQ_COD_CONTRACTE;
/


------------------------------------------------------------------------
--SEQNCIA I TRIGGER PER COD_C_DISTRIBUCIO LA TAULA CENTRAL_DISTRIBUCIO
------------------------------------------------------------------------

CREATE SEQUENCE SEQ_COD_C_DIST INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER INS_COD_DISTR_SEQ_COD_C_DIST
 BEFORE INSERT ON CENTRAL_DISTRIBUCIO
 FOR EACH ROW
BEGIN
 SELECT SEQ_COD_C_DIST.NEXTVAL INTO :NEW.COD_C_DISTRIBUCIO
 FROM DUAL;
END INS_COD_DISTR_SEQ_COD_C_DIST;
/


-----------------------------------------------------
--SEQNCIA I TRIGGER PER COD_LINIA DE LA TAULA LINIA
-----------------------------------------------------

CREATE SEQUENCE SEQ_COD_LINIA INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER INS_COD_LIN_SEQ_COD_LINIA
 BEFORE INSERT ON LINIA
 FOR EACH ROW
BEGIN
 SELECT SEQ_COD_LINIA.NEXTVAL INTO :NEW.COD_LINIA
 FROM DUAL;
END INS_COD_LIN_SEQ_COD_LINIA;
/

-----------------------------------------------------------------------
--SEQNCIA I TRIGGER PER COD_C_PRODUCCIO DE LA TAULA CENTRAL_PRODUCCIO
-----------------------------------------------------------------------

CREATE SEQUENCE SEQ_COD_C_PRO INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER INS_COD_PROD_SEQ_COD_C_PRO
 BEFORE INSERT ON CENTRAL_PRODUCCIO
 FOR EACH ROW
BEGIN
 SELECT SEQ_COD_C_PRO.NEXTVAL INTO :NEW.COD_C_PRODUCCIO
 FROM DUAL;
END INS_COD_PROD_SEQ_COD_C_PRO;
/


-----------------------------------------------------------------------
--SEQNCIA I TRIGGER PER COD_LECTURA_CONSUM DE LA TAULA LECTURA_CONSUM
-----------------------------------------------------------------------

CREATE SEQUENCE SEQ_COD_LEC_CONS INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER INS_CODLECONS_SEQ_COD_LEC_CONS
 BEFORE INSERT ON LECTURA_CONSUM
 FOR EACH ROW
BEGIN
 SELECT SEQ_COD_LEC_CONS.NEXTVAL INTO :NEW.COD_LECT_CONSUM
 FROM DUAL;
END INS_CODLECONS_SEQ_COD_LEC_CONS;
/



-----------------------------------------------------------------------
--SEQNCIA I TRIGGER PER COD_ENE_ABSOLUTA DE LA TAULA ENERGIA_ABSOLUTA
-----------------------------------------------------------------------

CREATE SEQUENCE SEQ_COD_ENE_ABS INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER INS_CODENEABS_SEQ_COD_ENE_ABS
 BEFORE INSERT ON ENERGIA_ABSOLUTA
 FOR EACH ROW
BEGIN
 SELECT SEQ_COD_ENE_ABS.NEXTVAL INTO :NEW.COD_ENE_ABSOLUTA
 FROM DUAL;
END INS_CODENEABS_SEQ_COD_ENE_ABS;
/
