CREATE OR REPLACE PROCEDURE p_insertLog (
 nom_proc      IN VARCHAR2,
 paramentrada  IN VARCHAR2,
 rst           IN Varchar2
 
)

 IS

  BEGIN
  
  
   INSERT INTO LOG (procediment, data, param_in, param_out)
   VALUES (nom_proc, sysdate, paramentrada, rst);
   COMMIT; 

  EXCEPTION
 WHEN STORAGE_ERROR THEN
 
  DBMS_OUTPUT.PUT_LINE('ERROR: Error en guardar el log.');
 
 WHEN OTHERS THEN
 
  DBMS_OUTPUT.PUT_LINE('ERROR: Error en inserir el log: ' || sqlerrm);
 
END p_insertLog;
/

