CREATE OR REPLACE PROCEDURE p_antiguitatCompt (

  n_antiguitat number
)


IS

antiguitat   NUMBER;
contador     NUMBER;
noDades		 EXCEPTION;


BEGIN  
 
  contador := 0;
  DECLARE CURSOR c_registros IS

  --Es mostra el codi del comptador, l'any de la seva fabricaci i la seva antiguitat desde 
  --la seva fabricaci fins l'any actual

 
  SELECT * FROM 
  (SELECT C.COD_COMPTADOR, EXTRACT (YEAR FROM MC.DATA_FAB) ANY_FABRICACIO, ((to_char(sysdate, 'YYYY') -  EXTRACT (YEAR FROM MC.DATA_FAB))) AS antiguitat
  FROM COMPTADOR C, MODEL_COMPTADOR MC
  WHERE C.COD_MODEL = MC.COD_MODEL )
  WHERE antiguitat = n_antiguitat;
 
  v_reg c_registros%rowtype;    	
    
  BEGIN

  
  OPEN c_registros;
  LOOP
  FETCH c_registros INTO v_reg;
  exit when c_registros%NOTFOUND;   

  
   dbms_output.put_line (' CODI_COMPTADOR: '|| v_reg.COD_COMPTADOR || '     ' || ' ANY_FABRICACIO: '|| v_reg.ANY_FABRICACIO || '     ' || ' ANTIGUITAT: '|| v_reg.ANTIGUITAT);
        
   contador := contador +1;
   
   END LOOP;   

           
  CLOSE c_registros;  
   
  IF (contador = 0) THEN
  	 RAISE noDades;
  END IF;
  
 END;   

 EXCEPTION
 WHEN noDades THEN
 dbms_output.put_line ('AVS: No existeix cap comptador amb aquesta antiguitat');
 
 
 
END p_antiguitatCompt;
/

