CREATE OR REPLACE PROCEDURE p_comptAltaDisponibilitat IS

distribucions          NUMBER;
nifClient              VARCHAR2(10);
codi_contracte         INTEGER;
modelcompt             INTEGER;
codcomptador           INTEGER;
nif                    VARCHAR2(10);
cont                   INTEGER;
mod                    INTEGER;


BEGIN
  
   DECLARE CURSOR c_registros IS 
   
       --Mirem els comptadors que connecten a mes d'una central de distribucio

   SELECT COUNT (CC.COD_C_DISTRIBUCIO) AS distribucions, CC.COD_COMPTADOR AS codcomptador
   FROM CONNECTA_COMPTADOR CC, CONTRACTE CT
   WHERE CT.DATA_FI IS NULL AND
         cc.COD_COMPTADOR = ct.COD_COMPTADOR 
   GROUP BY CC.COD_COMPTADOR
   HAVING COUNT (CC.COD_C_DISTRIBUCIO) >1;


   v_reg c_registros%rowtype;
     
   BEGIN

     open c_registros;
     loop
     fetch c_registros into v_reg;
     exit when c_registros%NOTFOUND;
   
                 DECLARE CURSOR c_registros2 IS
        SELECT CL.NIF as nif, CT.COD_CONTRACTE as cont, CM.COD_MODEL as mod  
        FROM CONTRACTE CT, CLIENT CL, COMPTADOR CM
        WHERE CT.COD_CLIENT = CL.COD_CLIENT AND
              CT.COD_COMPTADOR = CM.COD_COMPTADOR AND
              CM.COD_COMPTADOR = v_reg.CODCOMPTADOR AND 
              CT.DATA_FI IS NULL AND CM.ESTAT = 'actiu';
                                      
               r_reg c_registros2%rowtype;
     
                  BEGIN

            open c_registros2;
          loop
          fetch c_registros2 into r_reg;
          exit when c_registros2%NOTFOUND; 
    
           dbms_output.put_line (' DNI: '|| r_reg.nif || '     CODI_CONTRACTE: '|| r_reg.cont || '     MODEL_COMPTADOR: '|| r_reg.mod);
       
           end loop;
    
                close c_registros2;
         end;  
             
        end loop;      
         close c_registros;
     end; 
  
END p_comptAltaDisponibilitat;
/

