CREATE OR REPLACE PROCEDURE USR_ENE.p_estConsumComptador (
	   	  n_cod_comptador IN INTEGER,
		  n_lectura       IN NUMBER,		  
		  lect		      IN NUMBER



)

IS

a_cod_c_produccio    INTEGER;
existe_codpro        INTEGER;


BEGIN


 --Obtenim el cod_c_produccio que pertany al codi_comptador que donem d'alta la lectura
   a_cod_c_produccio := getCodProduccio (n_cod_comptador);
   
 
  --Omplim la taula EST_CONSUM_COMPTADOR
  --Verifiquem que existeix el cod_c_produccio
  SELECT COUNT (*)
  INTO EXISTE_CODPRO
  FROM EST_CONSUM_COMPTADOR EC
  WHERE EC.COD_C_PRODUCCIO = a_cod_c_produccio;
  
  --Si no existeix
  IF (EXISTE_CODPRO = 0) THEN
  	  --Donem d'alta el consum del comptador a la taula EST_CONSUM_COMPTADOR
  	   p_altaEstConsumComptador (a_cod_c_produccio, (n_lectura - lect));

 	    --si existeix actualitzem la taula EST_CONSUM_COMPTADOR
  ELSE
  	   p_modEstConsumComptador (a_cod_c_produccio, (n_lectura - lect));
  
  END IF;



END p_estConsumComptador;
/