CREATE OR REPLACE PROCEDURE         p_estLiniaCarregada IS

err_msg                VARCHAR2 (100);
rst                  VARCHAR2(2000);
cod_linia              INTEGER;
carrega                NUMBER;


BEGIN



   --Inserim el nou registre a la taula EST_VALOR_MITJA
   
   DELETE FROM EST_LINIA_CARREGADA;
   INSERT INTO  EST_LINIA_CARREGADA
    SELECT * FROM
        (SELECT A.COD_LINIA as COD_LINIA , SUM (CONSUM) CARREGA 
        FROM
           (SELECT SUM (LC.CONSUM_MES) CONSUM, LC.COD_COMPTADOR, AC.COD_LINIA
      FROM CONNECTA_COMPTADOR CC, ALIMENTA_CENTRAL AC, LECTURA_CONSUM LC
      WHERE LC.COD_COMPTADOR = CC.COD_COMPTADOR AND   
         CC.ESTAT = 'actiu' AND LC.ESTAT = 'actiu'  AND
         CC.COD_C_DISTRIBUCIO = AC.COD_C_DISTRIBUCIO AND AC.ESTAT = 'actiu'
      GROUP BY LC.COD_COMPTADOR, AC.COD_LINIA
      ORDER BY CONSUM DESC)A
    GROUP BY A.COD_LINIA
             ORDER BY CARREGA DESC)B
       WHERE ROWNUM =1;


 -- Fin de les operacions
   rst := 'OK: S''ha donat d''alta la linia ms carregada';

   p_insertLog('p_estLiniaCarregada ', 
               'cod_linia: ' || cod_linia || ',' ||
               'carrega: ' || carrega , rst);
   COMMIT;
   
EXCEPTION


   
   WHEN OTHERS
   THEN
      err_msg := SUBSTR (SQLERRM, 1, 100);
      rst :=    'ERROR:'
             || err_msg;
      
   p_insertLog('p_estLiniaCarregada ', 
               'cod_linia: ' || cod_linia || ',' ||
               'carrega: ' || carrega , rst);
  ROLLBACK;



END p_estLiniaCarregada;
/

