
ALTER TABLE USR_ENE.CARBO
 DROP PRIMARY KEY CASCADE;
DROP TABLE USR_ENE.CARBO CASCADE CONSTRAINTS;

CREATE TABLE USR_ENE.CARBO
(
  COD_C_PRODUCCIO  INTEGER                      NOT NULL,
  EMISSIO_CO2      NUMBER                       NOT NULL
)
TABLESPACE ENERGIA_DAT
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX USR_ENE.PK_COD_C_PRODUCCIO_CARBO ON USR_ENE.CARBO
(COD_C_PRODUCCIO)
LOGGING
TABLESPACE ENERGIA_IND
NOPARALLEL;


ALTER TABLE USR_ENE.CARBO ADD (
  CONSTRAINT PK_COD_C_PRODUCCIO_CARBO
 PRIMARY KEY
 (COD_C_PRODUCCIO)
    USING INDEX 
    TABLESPACE ENERGIA_IND);



