
ALTER TABLE USR_ENE.ENERGIA_ABSOLUTA
 DROP PRIMARY KEY CASCADE;
DROP TABLE USR_ENE.ENERGIA_ABSOLUTA CASCADE CONSTRAINTS;

CREATE TABLE USR_ENE.ENERGIA_ABSOLUTA
(
  COD_ENE_ABSOLUTA  INTEGER                     NOT NULL,
  COD_C_PRODUCCIO   INTEGER                     NOT NULL,
  DATA_PROD         DATE                        NOT NULL,
  ENERGIA_PROD      NUMBER                      NOT NULL,
  VALID             VARCHAR2(2 BYTE)            NOT NULL
)
TABLESPACE ENERGIA_DAT
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX USR_ENE.PK_COD_ENE_ABSOLUTA ON USR_ENE.ENERGIA_ABSOLUTA
(COD_ENE_ABSOLUTA)
LOGGING
TABLESPACE ENERGIA_IND
NOPARALLEL;


ALTER TABLE USR_ENE.ENERGIA_ABSOLUTA ADD (
  CONSTRAINT PK_COD_ENE_ABSOLUTA
 PRIMARY KEY
 (COD_ENE_ABSOLUTA)
    USING INDEX 
    TABLESPACE ENERGIA_IND);


ALTER TABLE USR_ENE.ENERGIA_ABSOLUTA ADD (
  CONSTRAINT FK_COD_C_PRODUCCIO_ENE_ABS 
 FOREIGN KEY (COD_C_PRODUCCIO) 
 REFERENCES USR_ENE.CENTRAL_PRODUCCIO (COD_C_PRODUCCIO));



