
ALTER TABLE USR_ENE.EST_LINIA_CARREGADA
 DROP PRIMARY KEY CASCADE;
DROP TABLE USR_ENE.EST_LINIA_CARREGADA CASCADE CONSTRAINTS;

CREATE TABLE USR_ENE.EST_LINIA_CARREGADA
(
  COD_LINIA  INTEGER                            NOT NULL,
  CARREGA    NUMBER                             NOT NULL
)
TABLESPACE ENERGIA_DAT
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX USR_ENE.PK_COD_LINIA_ESTLINCARREGADA ON USR_ENE.EST_LINIA_CARREGADA
(COD_LINIA)
LOGGING
TABLESPACE ENERGIA_IND
NOPARALLEL;


ALTER TABLE USR_ENE.EST_LINIA_CARREGADA ADD (
  CONSTRAINT PK_COD_LINIA_ESTLINCARREGADA
 PRIMARY KEY
 (COD_LINIA)
    USING INDEX 
    TABLESPACE ENERGIA_IND);



