
ALTER TABLE USR_ENE.EST_PERCENTATGE_LINIES
 DROP PRIMARY KEY CASCADE;
DROP TABLE USR_ENE.EST_PERCENTATGE_LINIES CASCADE CONSTRAINTS;

CREATE TABLE USR_ENE.EST_PERCENTATGE_LINIES
(
  ANYO                NUMBER                    NULL,
  PERCENTATGE_LINIES  NUMBER                    NULL
)
TABLESPACE ENERGIA_DAT
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX USR_ENE.PK_ANYO_ESTPERCENTLINIES ON USR_ENE.EST_PERCENTATGE_LINIES
(ANYO)
LOGGING
TABLESPACE ENERGIA_IND
NOPARALLEL;


ALTER TABLE USR_ENE.EST_PERCENTATGE_LINIES ADD (
  CONSTRAINT PK_ANYO_ESTPERCENTLINIES
 PRIMARY KEY
 (ANYO)
    USING INDEX 
    TABLESPACE ENERGIA_IND);



