
ALTER TABLE USR_ENE.EST_VALOR_MITJA
 DROP PRIMARY KEY CASCADE;
DROP TABLE USR_ENE.EST_VALOR_MITJA CASCADE CONSTRAINTS;

CREATE TABLE USR_ENE.EST_VALOR_MITJA
(
  COD_LINIA    INTEGER                          NOT NULL,
  ANYO         NUMBER                           NOT NULL,
  VALOR_MITJA  NUMBER                           NOT NULL
)
TABLESPACE ENERGIA_DAT
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX USR_ENE.PK_COD_LINIA_ESTVALMITJA ON USR_ENE.EST_VALOR_MITJA
(COD_LINIA, ANYO)
LOGGING
TABLESPACE ENERGIA_IND
NOPARALLEL;


ALTER TABLE USR_ENE.EST_VALOR_MITJA ADD (
  CONSTRAINT PK_COD_LINIA_ESTVALMITJA
 PRIMARY KEY
 (COD_LINIA, ANYO)
    USING INDEX 
    TABLESPACE ENERGIA_IND);



