
ALTER TABLE USR_ENE.LINIA
 DROP PRIMARY KEY CASCADE;
DROP TABLE USR_ENE.LINIA CASCADE CONSTRAINTS;

CREATE TABLE USR_ENE.LINIA
(
  COD_LINIA         INTEGER                     NOT NULL,
  CAPACITAT_MAXIMA  NUMBER                      NOT NULL,
  ESTAT             VARCHAR2(8 BYTE)            NOT NULL
)
TABLESPACE ENERGIA_DAT
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX USR_ENE.PK_COD_LINIA ON USR_ENE.LINIA
(COD_LINIA)
LOGGING
TABLESPACE ENERGIA_IND
NOPARALLEL;


ALTER TABLE USR_ENE.LINIA ADD (
  CONSTRAINT PK_COD_LINIA
 PRIMARY KEY
 (COD_LINIA)
    USING INDEX 
    TABLESPACE ENERGIA_IND);



