
ALTER TABLE USR_ENE.TERMICA
 DROP PRIMARY KEY CASCADE;
DROP TABLE USR_ENE.TERMICA CASCADE CONSTRAINTS;

CREATE TABLE USR_ENE.TERMICA
(
  COD_C_PRODUCCIO  INTEGER                      NOT NULL,
  EMISSIOCO2       NUMBER                       NOT NULL
)
TABLESPACE ENERGIA_DAT
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX USR_ENE.PK_COD_C_PRODUCCIO_TERMICA ON USR_ENE.TERMICA
(COD_C_PRODUCCIO)
LOGGING
TABLESPACE ENERGIA_IND
NOPARALLEL;


ALTER TABLE USR_ENE.TERMICA ADD (
  CONSTRAINT PK_COD_C_PRODUCCIO_TERMICA
 PRIMARY KEY
 (COD_C_PRODUCCIO)
    USING INDEX 
    TABLESPACE ENERGIA_IND);



