spool DropBD.txt

DROP SEQUENCE SEQ_COD_LOG;
DROP SEQUENCE SEQ_COD_CLIENT;
DROP SEQUENCE SEQ_COD_MODEL;
DROP SEQUENCE SEQ_COD_COMPTADOR;
DROP SEQUENCE SEQ_COD_CONTRACTE;
DROP SEQUENCE SEQ_COD_C_DIST;
DROP SEQUENCE SEQ_COD_LINIA;
DROP SEQUENCE SEQ_COD_C_PRO;
DROP SEQUENCE SEQ_COD_LEC_CONS;
DROP SEQUENCE SEQ_COD_ENE_ABS;

DROP TABLE USR_ENE.ALIMENTA_CENTRAL CASCADE CONSTRAINTS;
DROP TABLE USR_ENE.CARBO CASCADE CONSTRAINTS;
DROP TABLE USR_ENE.CENTRAL_DISTRIBUCIO CASCADE CONSTRAINTS;
DROP TABLE USR_ENE.CENTRAL_PRODUCCIO CASCADE CONSTRAINTS;
DROP TABLE USR_ENE.CONTRACTE CASCADE CONSTRAINTS;
DROP TABLE USR_ENE.CLIENT CASCADE CONSTRAINTS;
DROP TABLE USR_ENE.LECTURA_CONSUM CASCADE CONSTRAINTS;
DROP TABLE USR_ENE.COMPTADOR CASCADE CONSTRAINTS;
DROP TABLE USR_ENE.CONNECTA_COMPTADOR CASCADE CONSTRAINTS;
DROP TABLE USR_ENE.ENERGIA_ABSOLUTA CASCADE CONSTRAINTS;
DROP TABLE USR_ENE.EOLICA CASCADE CONSTRAINTS;
DROP TABLE USR_ENE.LINIA CASCADE CONSTRAINTS;
DROP TABLE USR_ENE.LOG CASCADE CONSTRAINTS;
DROP TABLE USR_ENE.MODEL_COMPTADOR CASCADE CONSTRAINTS;
DROP TABLE USR_ENE.NUCLEAR CASCADE CONSTRAINTS;
DROP TABLE USR_ENE.SOLAR CASCADE CONSTRAINTS;
DROP TABLE USR_ENE.TERMICA CASCADE CONSTRAINTS;
DROP TABLE USR_ENE.EST_CONSUM_COMPTADOR CASCADE CONSTRAINTS;
DROP TABLE USR_ENE.EST_CONSUM_MIG CASCADE CONSTRAINTS;
DROP TABLE USR_ENE.EST_LINIA_CARREGADA CASCADE CONSTRAINTS;
DROP TABLE USR_ENE.EST_NOMBRE_CENTRAL_PRODUCCIO CASCADE CONSTRAINTS;
DROP TABLE USR_ENE.EST_PERCENTATGE_LINIES CASCADE CONSTRAINTS;
DROP TABLE USR_ENE.EST_TOP_TEN CASCADE CONSTRAINTS;
DROP TABLE USR_ENE.EST_VALOR_MITJA CASCADE CONSTRAINTS;

DROP PROCEDURE P_ALTAALIMENTACENTRAL;
DROP PROCEDURE P_ALTACARBO;
DROP PROCEDURE P_ALTACENTRALDISTRIBUCIO;
DROP PROCEDURE P_ALTACENTRALPRODUCCIO;
DROP PROCEDURE P_ALTACLIENT;
DROP PROCEDURE P_ALTACOMPTADOR;
DROP PROCEDURE P_ALTACONTRACTE;
DROP PROCEDURE P_ALTAENERGIAABSOLUTA;
DROP PROCEDURE P_ALTAEOLICA;
DROP PROCEDURE P_ALTALECTURACONSUM;
DROP PROCEDURE P_ALTALINIA;
DROP PROCEDURE P_ALTAMODELCOMPTADOR;
DROP PROCEDURE P_ALTANUCLEAR;
DROP PROCEDURE P_ALTASOLAR;
DROP PROCEDURE P_ALTATERMICA;
DROP PROCEDURE P_BAIXACENTRALDISTRIBUCIO;
DROP PROCEDURE P_BAIXACENTRALPRODUCCIO;
DROP PROCEDURE P_BAIXACLIENT;
DROP PROCEDURE P_BAIXACOMPTADOR;
DROP PROCEDURE P_BAIXACONNECTACOMPTADOR;
DROP PROCEDURE P_BAIXACONTRACTE;
DROP PROCEDURE P_BAIXAENERGIAABSOLUTA;
DROP PROCEDURE P_BAIXAEOLICA;
DROP PROCEDURE P_BAIXALECTURACONSUM;
DROP PROCEDURE P_BAIXALINIA;
DROP PROCEDURE P_BAIXAMODCOMPTADOR;
DROP PROCEDURE P_BAIXANUCLEAR;
DROP PROCEDURE P_BAIXASOLAR;
DROP PROCEDURE P_BAIXATERMICA;
DROP PROCEDURE P_INSERTLOG;
DROP PROCEDURE P_MODCARBO;
DROP PROCEDURE P_MODCENTRALDISTRIBUCIO;
DROP PROCEDURE P_MODCENTRALPRODUCCIO;
DROP PROCEDURE P_MODCLIENT;
DROP PROCEDURE P_MODCOMPTADOR;
DROP PROCEDURE P_MODCONTRACTE;
DROP PROCEDURE P_MODEOLICA;
DROP PROCEDURE P_MODLINIA;
DROP PROCEDURE P_MODMODELCOMPTADOR;
DROP PROCEDURE P_MODNUCLEAR;
DROP PROCEDURE P_MODSOLAR;
DROP PROCEDURE P_MODTERMICA;
DROP PROCEDURE P_ANTIGUITATCOMPT;
DROP PROCEDURE P_CENTMESENERGIA;
DROP PROCEDURE P_COMPTALTADISPONIBILITAT;
DROP PROCEDURE P_COMPTCONSMES80;
DROP PROCEDURE P_CONSUMPRODCOMPT;
DROP PROCEDURE P_LINMESCARREGADA;
DROP PROCEDURE P_PERCENTMODALITAT;
DROP PROCEDURE P_ALTAESTCONSUMCOMPTADOR;
DROP PROCEDURE P_ALTAESTNOMCENTPRODUCCIO;
DROP PROCEDURE P_ALTAESTPERCENTATGELINIES;
DROP PROCEDURE P_ALTAESTVALORMITJA;
DROP PROCEDURE P_ESTCONSUMCOMPTADOR;
DROP PROCEDURE P_ESTCONSUMMIG;
DROP PROCEDURE P_ESTLINIACARREGADA;
DROP PROCEDURE P_ESTNOMCENTPRO;
DROP PROCEDURE P_ESTPERCENTATGELINIES;
DROP PROCEDURE P_ESTTOPTEN;
DROP PROCEDURE P_MODESTCONSUMCOMPTADOR;
DROP PROCEDURE P_MODESTNOMCENTPRODUCCIO;
DROP PROCEDURE P_MODESTPERCENTATGELINIES;
DROP PROCEDURE P_RETORNLOG;

DROP FUNCTION GETCODPRODUCCIO;
DROP FUNCTION GETCONSBYCOMPTDATES;
DROP FUNCTION GETFILESBYCOMPTADORANDYEAR;
DROP FUNCTION GETMESOS;

spool off



