CREATE OR REPLACE FUNCTION USR_ENE.getConsByComptDates (
		  N_COD_COMPTADOR INTEGER,
		  N_DATA_ALTA DATE,
		  N_DATA_FI DATE)


RETURN INTEGER IS

CONSUM INTEGER;

BEGIN


	 IF (N_DATA_FI IS NULL) THEN

	 
	   SELECT SUM(LC.CONSUM_MES) INTO CONSUM
	   FROM LECTURA_CONSUM LC
	   WHERE LC.DATA_LECTURA >= N_DATA_ALTA AND
	         LC.COD_COMPTADOR = N_COD_COMPTADOR; 
			 
			

	 ELSE
	   
	  SELECT SUM(LC.CONSUM_MES) INTO CONSUM
	  FROM LECTURA_CONSUM LC
	  WHERE LC.COD_COMPTADOR = N_COD_COMPTADOR AND
	  	 LC.DATA_LECTURA >= N_DATA_ALTA AND
	  	 LC.DATA_LECTURA <= N_DATA_FI; 

	 END IF;
	   
	 RETURN CONSUM;

END getConsByComptDates;
/