CREATE OR REPLACE FUNCTION USR_ENE.getMesos (
	   	  N_NIF            IN VARCHAR2,
		  N_COD_COMPTADOR  IN INTEGER,
		  N_DATA_FI        IN DATE
		
)


RETURN NUMBER IS

MESOS NUMBER;

BEGIN

	 IF (N_DATA_FI IS NULL) THEN

	 	SELECT round (MONTHS_BETWEEN ((sysdate), CT.DATA_ALTA), 0) INTO MESOS
		FROM CONTRACTE CT, CLIENT CL
		WHERE CT.COD_CLIENT = CL.COD_CLIENT AND
	  		  CL.NIF = N_NIF AND CT.COD_COMPTADOR = N_COD_COMPTADOR;
			  
			 

	 ELSE
	 
	 	 SELECT round (MONTHS_BETWEEN (CT.DATA_FI, CT.DATA_ALTA), 0) INTO MESOS
		 FROM CONTRACTE CT, CLIENT CL
		 WHERE CT.COD_CLIENT = CL.COD_CLIENT AND
	  		   CL.NIF = N_NIF AND CT.COD_COMPTADOR = N_COD_COMPTADOR;
			   
			  
		 
	 END IF;
	 
	 RETURN MESOS; 
		 
		 
END getMesos;
/
