CREATE OR REPLACE PROCEDURE p_estTopTen IS

err_msg                VARCHAR2 (100);
rst                  VARCHAR2(2000);
consum       NUMBER;
cod_comptador     NUMBER;


BEGIN



   --Inserim el nou registre a la taula EST_VALOR_MITJA
   
   DELETE FROM EST_TOP_TEN;
   INSERT INTO  EST_TOP_TEN
    SELECT * FROM (
       SELECT C.COD_COMPTADOR AS COD_COMPTADOR, C.CONSUM_ABSOLUT AS CONSUM
     FROM COMPTADOR C
     ORDER BY C.CONSUM_ABSOLUT DESC) A
          WHERE ROWNUM <= 10;


 -- Fin de les operacions
   rst := 'OK: S''ha actualitzat la taula top_ten';

   p_insertLog('p_estTopTen ', 
               'cod_comptador: ' || COD_COMPTADOR || ',' ||
               'consum: ' || CONSUM , rst);
   COMMIT;
   
EXCEPTION


   
   WHEN OTHERS
   THEN
      err_msg := SUBSTR (SQLERRM, 1, 100);
      rst :=    'ERROR:'
             || err_msg;
      
   p_insertLog('p_estTopTen ', 
               'cod_comptador: ' || COD_COMPTADOR || ',' ||
               'consum: ' || CONSUM , rst);
      
  ROLLBACK;

END p_estTopTen;
/

