
ALTER TABLE USR_ENE.ALIMENTA_CENTRAL
 DROP PRIMARY KEY CASCADE;
DROP TABLE USR_ENE.ALIMENTA_CENTRAL CASCADE CONSTRAINTS;

CREATE TABLE USR_ENE.ALIMENTA_CENTRAL
(
  COD_C_DISTRIBUCIO  INTEGER                    NOT NULL,
  COD_LINIA          INTEGER                    NOT NULL,
  COD_C_PRODUCCIO    INTEGER                    NOT NULL,
  ESTAT              VARCHAR2(7 BYTE)           NOT NULL
)
TABLESPACE ENERGIA_DAT
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX USR_ENE.PK_ALIMENTA_CENTRAL ON USR_ENE.ALIMENTA_CENTRAL
(COD_LINIA, COD_C_DISTRIBUCIO)
LOGGING
TABLESPACE ENERGIA_IND
NOPARALLEL;


ALTER TABLE USR_ENE.ALIMENTA_CENTRAL ADD (
  CONSTRAINT PK_ALIMENTA_CENTRAL
 PRIMARY KEY
 (COD_LINIA, COD_C_DISTRIBUCIO)
    USING INDEX 
    TABLESPACE ENERGIA_IND);


ALTER TABLE USR_ENE.ALIMENTA_CENTRAL ADD (
  CONSTRAINT FK_COD_C_PRODUCCIO_ALIM_CENT 
 FOREIGN KEY (COD_C_PRODUCCIO) 
 REFERENCES USR_ENE.CENTRAL_PRODUCCIO (COD_C_PRODUCCIO));



