
ALTER TABLE USR_ENE.CENTRAL_DISTRIBUCIO
 DROP PRIMARY KEY CASCADE;
DROP TABLE USR_ENE.CENTRAL_DISTRIBUCIO CASCADE CONSTRAINTS;

CREATE TABLE USR_ENE.CENTRAL_DISTRIBUCIO
(
  COD_C_DISTRIBUCIO  INTEGER                    NOT NULL,
  MAXIM_ENERGIA      NUMBER                     NOT NULL,
  ADREA             VARCHAR2(100 BYTE)         NOT NULL,
  LOCALITAT          VARCHAR2(100 BYTE)         NOT NULL,
  CP                 VARCHAR2(5 BYTE)               NULL,
  PAIS               VARCHAR2(50 BYTE)          NOT NULL,
  ESTAT              VARCHAR2(7 BYTE)           NOT NULL
)
TABLESPACE ENERGIA_DAT
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX USR_ENE.PK_COD_C_DISTRIBUCIO ON USR_ENE.CENTRAL_DISTRIBUCIO
(COD_C_DISTRIBUCIO)
LOGGING
TABLESPACE ENERGIA_IND
NOPARALLEL;


ALTER TABLE USR_ENE.CENTRAL_DISTRIBUCIO ADD (
  CONSTRAINT PK_COD_C_DISTRIBUCIO
 PRIMARY KEY
 (COD_C_DISTRIBUCIO)
    USING INDEX 
    TABLESPACE ENERGIA_IND);



