
ALTER TABLE USR_ENE.CONNECTA_COMPTADOR
 DROP PRIMARY KEY CASCADE;
DROP TABLE USR_ENE.CONNECTA_COMPTADOR CASCADE CONSTRAINTS;

CREATE TABLE USR_ENE.CONNECTA_COMPTADOR
(
  COD_COMPTADOR      INTEGER                    NOT NULL,
  COD_C_DISTRIBUCIO  INTEGER                    NOT NULL,
  ESTAT              VARCHAR2(7 BYTE)           NOT NULL
)
TABLESPACE ENERGIA_DAT
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX USR_ENE.PK_CONNECTA_COMPTADOR ON USR_ENE.CONNECTA_COMPTADOR
(COD_COMPTADOR, COD_C_DISTRIBUCIO)
LOGGING
TABLESPACE ENERGIA_IND
NOPARALLEL;


ALTER TABLE USR_ENE.CONNECTA_COMPTADOR ADD (
  CONSTRAINT PK_CONNECTA_COMPTADOR
 PRIMARY KEY
 (COD_COMPTADOR, COD_C_DISTRIBUCIO)
    USING INDEX 
    TABLESPACE ENERGIA_IND);



