
ALTER TABLE USR_ENE.EOLICA
 DROP PRIMARY KEY CASCADE;
DROP TABLE USR_ENE.EOLICA CASCADE CONSTRAINTS;

CREATE TABLE USR_ENE.EOLICA
(
  COD_C_PRODUCCIO  INTEGER                      NOT NULL,
  NUM_MOLINS       NUMBER                       NOT NULL
)
TABLESPACE ENERGIA_DAT
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX USR_ENE.PK_COD_C_PRODUCCIO_EOLICA ON USR_ENE.EOLICA
(COD_C_PRODUCCIO)
LOGGING
TABLESPACE ENERGIA_IND
NOPARALLEL;


ALTER TABLE USR_ENE.EOLICA ADD (
  CONSTRAINT PK_COD_C_PRODUCCIO_EOLICA
 PRIMARY KEY
 (COD_C_PRODUCCIO)
    USING INDEX 
    TABLESPACE ENERGIA_IND);



