
ALTER TABLE USR_ENE.EST_CONSUM_COMPTADOR
 DROP PRIMARY KEY CASCADE;
DROP TABLE USR_ENE.EST_CONSUM_COMPTADOR CASCADE CONSTRAINTS;

CREATE TABLE USR_ENE.EST_CONSUM_COMPTADOR
(
  COD_C_PRODUCCIO  INTEGER                      NOT NULL,
  CONSUM           NUMBER                       NOT NULL
)
TABLESPACE ENERGIA_DAT
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX USR_ENE.PK_COD_C_PRODUCCIO_ESTCOMCOMPT ON USR_ENE.EST_CONSUM_COMPTADOR
(COD_C_PRODUCCIO)
LOGGING
TABLESPACE ENERGIA_IND
NOPARALLEL;


ALTER TABLE USR_ENE.EST_CONSUM_COMPTADOR ADD (
  CONSTRAINT PK_COD_C_PRODUCCIO_ESTCOMCOMPT
 PRIMARY KEY
 (COD_C_PRODUCCIO)
    USING INDEX 
    TABLESPACE ENERGIA_IND);



