
ALTER TABLE USR_ENE.EST_CONSUM_MIG
 DROP PRIMARY KEY CASCADE;
DROP TABLE USR_ENE.EST_CONSUM_MIG CASCADE CONSTRAINTS;

CREATE TABLE USR_ENE.EST_CONSUM_MIG
(
  NIF            VARCHAR2(12 BYTE)              NOT NULL,
  COD_COMPTADOR  INTEGER                        NOT NULL,
  CONSUM_MIG     NUMBER                             NULL
)
TABLESPACE ENERGIA_DAT
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX USR_ENE.PK_COD_CLIENT_ESTCONSMIG ON USR_ENE.EST_CONSUM_MIG
(NIF)
LOGGING
TABLESPACE ENERGIA_IND
NOPARALLEL;


ALTER TABLE USR_ENE.EST_CONSUM_MIG ADD (
  CONSTRAINT PK_COD_CLIENT_ESTCONSMIG
 PRIMARY KEY
 (NIF)
    USING INDEX 
    TABLESPACE ENERGIA_IND);



