
ALTER TABLE USR_ENE.EST_NOMBRE_CENTRAL_PRODUCCIO
 DROP PRIMARY KEY CASCADE;
DROP TABLE USR_ENE.EST_NOMBRE_CENTRAL_PRODUCCIO CASCADE CONSTRAINTS;

CREATE TABLE USR_ENE.EST_NOMBRE_CENTRAL_PRODUCCIO
(
  ANYO                   NUMBER                 NOT NULL,
  NUM_CENTRAL_PRODUCCIO  NUMBER                 NOT NULL
)
TABLESPACE ENERGIA_DAT
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX USR_ENE.PK_ANYO_ESTNOMCENTPROD ON USR_ENE.EST_NOMBRE_CENTRAL_PRODUCCIO
(ANYO)
LOGGING
TABLESPACE ENERGIA_IND
NOPARALLEL;


ALTER TABLE USR_ENE.EST_NOMBRE_CENTRAL_PRODUCCIO ADD (
  CONSTRAINT PK_ANYO_ESTNOMCENTPROD
 PRIMARY KEY
 (ANYO)
    USING INDEX 
    TABLESPACE ENERGIA_IND);



