
ALTER TABLE USR_ENE.EST_TOP_TEN
 DROP PRIMARY KEY CASCADE;
DROP TABLE USR_ENE.EST_TOP_TEN CASCADE CONSTRAINTS;

CREATE TABLE USR_ENE.EST_TOP_TEN
(
  COD_COMPTADOR  INTEGER                            NULL,
  CONSUM         NUMBER                             NULL
)
TABLESPACE ENERGIA_DAT
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX USR_ENE.PK_COD_COMPTADOR_ESTTOPTEN ON USR_ENE.EST_TOP_TEN
(COD_COMPTADOR)
LOGGING
TABLESPACE ENERGIA_IND
NOPARALLEL;


ALTER TABLE USR_ENE.EST_TOP_TEN ADD (
  CONSTRAINT PK_COD_COMPTADOR_ESTTOPTEN
 PRIMARY KEY
 (COD_COMPTADOR)
    USING INDEX 
    TABLESPACE ENERGIA_IND);



