
ALTER TABLE USR_ENE.LECTURA_CONSUM
 DROP PRIMARY KEY CASCADE;
DROP TABLE USR_ENE.LECTURA_CONSUM CASCADE CONSTRAINTS;

CREATE TABLE USR_ENE.LECTURA_CONSUM
(
  COD_LECT_CONSUM  INTEGER                      NOT NULL,
  COD_COMPTADOR    INTEGER                      NOT NULL,
  DATA_LECTURA     DATE                         NOT NULL,
  CONSUM_MES       NUMBER                       NOT NULL,
  LECTURA          NUMBER                       NOT NULL,
  MODALITAT        VARCHAR2(10 BYTE)            NOT NULL,
  ESTAT            VARCHAR2(7 BYTE)             NOT NULL
)
TABLESPACE ENERGIA_DAT
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX USR_ENE.PK_COD_LECT_CONSUM ON USR_ENE.LECTURA_CONSUM
(COD_LECT_CONSUM)
LOGGING
TABLESPACE ENERGIA_IND
NOPARALLEL;


ALTER TABLE USR_ENE.LECTURA_CONSUM ADD (
  CONSTRAINT PK_COD_LECT_CONSUM
 PRIMARY KEY
 (COD_LECT_CONSUM)
    USING INDEX 
    TABLESPACE ENERGIA_IND);


ALTER TABLE USR_ENE.LECTURA_CONSUM ADD (
  CONSTRAINT FK_COD_COMPTADOR_LECTURA_COSUM 
 FOREIGN KEY (COD_COMPTADOR) 
 REFERENCES USR_ENE.COMPTADOR (COD_COMPTADOR));



