
ALTER TABLE USR_ENE.LOG
 DROP PRIMARY KEY CASCADE;
DROP TABLE USR_ENE.LOG CASCADE CONSTRAINTS;

CREATE TABLE USR_ENE.LOG
(
  COD_LOG      INTEGER                          NOT NULL,
  DATA         DATE                             NOT NULL,
  PROCEDIMENT  VARCHAR2(200 BYTE)               NOT NULL,
  PARAM_IN     VARCHAR2(2000 BYTE)              NOT NULL,
  PARAM_OUT    VARCHAR2(2000 BYTE)              NOT NULL
)
TABLESPACE ENERGIA_DAT
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX USR_ENE.PK_COD_LOG ON USR_ENE.LOG
(COD_LOG)
LOGGING
TABLESPACE ENERGIA_IND
NOPARALLEL;


ALTER TABLE USR_ENE.LOG ADD (
  CONSTRAINT PK_COD_LOG
 PRIMARY KEY
 (COD_LOG)
    USING INDEX 
    TABLESPACE ENERGIA_IND);



