
ALTER TABLE USR_ENE.NUCLEAR
 DROP PRIMARY KEY CASCADE;
DROP TABLE USR_ENE.NUCLEAR CASCADE CONSTRAINTS;

CREATE TABLE USR_ENE.NUCLEAR
(
  COD_C_PRODUCCIO  INTEGER                      NOT NULL,
  ENERGIA_MINIMA   NUMBER                       NOT NULL,
  REBUIG           NUMBER                       NOT NULL
)
TABLESPACE ENERGIA_DAT
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX USR_ENE.PK_COD_C_PRODUCCIO_NUCLEAR ON USR_ENE.NUCLEAR
(COD_C_PRODUCCIO)
LOGGING
TABLESPACE ENERGIA_IND
NOPARALLEL;


ALTER TABLE USR_ENE.NUCLEAR ADD (
  CONSTRAINT PK_COD_C_PRODUCCIO_NUCLEAR
 PRIMARY KEY
 (COD_C_PRODUCCIO)
    USING INDEX 
    TABLESPACE ENERGIA_IND);



