
ALTER TABLE USR_ENE.SOLAR
 DROP PRIMARY KEY CASCADE;
DROP TABLE USR_ENE.SOLAR CASCADE CONSTRAINTS;

CREATE TABLE USR_ENE.SOLAR
(
  COD_C_PRODUCCIO  INTEGER                      NOT NULL,
  NUM_PANELLS      NUMBER                       NOT NULL
)
TABLESPACE ENERGIA_DAT
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX USR_ENE.PK_COD_C_PRODUCCIO_SOLAR ON USR_ENE.SOLAR
(COD_C_PRODUCCIO)
LOGGING
TABLESPACE ENERGIA_IND
NOPARALLEL;


ALTER TABLE USR_ENE.SOLAR ADD (
  CONSTRAINT PK_COD_C_PRODUCCIO_SOLAR
 PRIMARY KEY
 (COD_C_PRODUCCIO)
    USING INDEX 
    TABLESPACE ENERGIA_IND);



